# eric7.WebBrowser.Network.SendRefererWhitelistDialog

Module implementing a dialog to manage the Send Referer whitelist.

### Global Attributes

None

### Classes

SendRefererWhitelistDialog | Class implementing a dialog to manage the Send Referer whitelist.

### Functions

None

## SendRefererWhitelistDialog

Class implementing a dialog to manage the Send Referer whitelist.

### Derived from

QDialog, Ui_SendRefererWhitelistDialog

### Class Attributes

None

### Class Methods

None

### Methods

SendRefererWhitelistDialog | Constructor
accept | Public method to accept the dialog data.
on_addButton_clicked | Private slot to add an entry to the whitelist.

### Static Methods

None

#### SendRefererWhitelistDialog (Constructor)

SendRefererWhitelistDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### SendRefererWhitelistDialog.accept

accept()

Public method to accept the dialog data.

#### SendRefererWhitelistDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add an entry to the whitelist.

Up